## org.red5.io.mp4
Class MP4DataStream

    java.lang.Object
      org.red5.io.mp4.MP4DataStream

    public final class MP4DataStream

extends Object

Wrapper class for input streams containing MPEG4 data. Original idea based on code from MediaFrame (http://www.mediaframe.org)

Author:
  Paul Gregoire (mondain@gmail.com)

Constructor Summary
`MP4DataStream(FileInputStream is)` Constructs an `MP4DataStream` object using the specified MPEG4 input stream.

Method Summary
`void` `close()`
`FileChannel` `getChannel()`
`long` `getOffset()`
`long` `readBytes(int n)`
`String` `readString(int n)`
`void` `skipBytes(long n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MP4DataStream

    public MP4DataStream(FileInputStream is)

  Constructs an `MP4DataStream` object using the specified MPEG4 input stream.

  Parameters:
    `is` - the MPEG4 input stream.

Method Detail

### readBytes

    public long readBytes(int n)
                   throws IOException

  Throws:
    `IOException`

### readString

    public String readString(int n)
                      throws IOException

  Throws:
    `IOException`

### skipBytes

    public void skipBytes(long n)
                   throws IOException

  Throws:
    `IOException`

### getOffset

    public long getOffset()

### getChannel

    public FileChannel getChannel()

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

Copyright © 2006-2010 The Red5 Project